package com.liquidnet.service.galaxy.dto.param;

import com.liquidnet.commons.lang.util.JsonUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: GalaxyQuerySeriesInfoReqDto
 * @Package com.liquidnet.service.galaxy.dto.param
 * @Copyright: LightNet @ Copyright (c) 2022
 * @date 2022/4/7 16:27
 */
@ApiModel(value = "GalaxyQuerySeriesInfoReqDto", description = "系列查询")
@Data
public class GalaxyQuerySeriesInfoReqDto extends GalaxyBaseReqDto implements Serializable,Cloneable{
    @ApiModelProperty(position = 1, required = true, value = "skuId")
    private String skuId;

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }

    private static final GalaxyQuerySeriesInfoReqDto obj = new GalaxyQuerySeriesInfoReqDto();

    public static GalaxyQuerySeriesInfoReqDto getNew() {
        try {
            return (GalaxyQuerySeriesInfoReqDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new GalaxyQuerySeriesInfoReqDto();
        }
    }
}
